/**
 * angularx-adal - Fork of angular2-adal from sureshchahal (fix for adal timeout). Azure AD Library - ADAL in Angular 5
 * @version v2.0.1
 * @link https://github.com/Jonah-Jordan/angularx-adal#readme
 * @license MIT
 */
import { Http, RequestOptionsArgs } from '@angular/http';
import { Observable } from 'rxjs';
import { AdalService } from './adal.service';
export declare class AuthHttp {
    private http;
    private adalService;
    constructor(http: Http, adalService: AdalService);
    get(url: string, options?: RequestOptionsArgs): Observable<any>;
    post(url: string, body: any, options?: RequestOptionsArgs): Observable<any>;
    delete(url: string, options?: RequestOptionsArgs): Observable<any>;
    patch(url: string, body: any, options?: RequestOptionsArgs): Observable<any>;
    put(url: string, body: any, options?: RequestOptionsArgs): Observable<any>;
    head(url: string, options?: RequestOptionsArgs): Observable<any>;
    private sendRequest;
    private extractData;
    private handleError;
}
