/**
 * angularx-adal - Fork of angular2-adal from sureshchahal (fix for adal timeout). Azure AD Library - ADAL in Angular 5
 * @version v2.0.1
 * @link https://github.com/Jonah-Jordan/angularx-adal#readme
 * @license MIT
 */
declare module 'adal-angular' {
    export function inject(config: adal.Config): adal.AuthenticationContext;
}

declare namespace adal {
    interface AuthenticationContext {
        REQUEST_TYPE: {
            LOGIN: string,
            RENEW_TOKEN: string,
            UNKNOWN: string
        };

        callback : any;

        _getItem : any;

        _renewFailed : any;

        CONSTANTS : any;
    }

}

interface Window {
    AuthenticationContext : any;
    callBackMappedToRenewStates : any;
}

