/**
 * angularx-adal - Fork of angular2-adal from sureshchahal (fix for adal timeout). Azure AD Library - ADAL in Angular 5
 * @version v2.0.1
 * @link https://github.com/Jonah-Jordan/angularx-adal#readme
 * @license MIT
 */
import { NgModule } from '@angular/core';

import { AdalModule } from './adal.module';
import { AuthHttp } from './../services/authHttp.service'

@NgModule({
    imports: [AdalModule],
    exports: [],
    declarations: [],
    providers: [AuthHttp],
})
export class AuthHttpModule { }
